import request from "@/utils/request";

// 列表
export function list(data) {
  return request({
    url: `/radio/tTakeList/takePage`,
    method: "post",
    data,
  });
}

// 新增
export function submit(data) {
  return request({
    url: `/radio/tTakeList/editTakeList`,
    method: "post",
    data,
  });
}

// 详情
export function detail(query) {
  return request({
    url: `/radio/tTakeList/queryDetailById`,
    method: "get",
    params: query,
  });
}

// 删除场景合集
export function remove(id) {
  return request({
    url: `/radio/tTakeList/delete/${id}`,
    method: "delete",
  });
}

// 时间轴
export function sceneTime(data) {
  return request({
    url: `/radio/tPresetContent/list`,
    method: "post",
    data,
  });
}

// 提交预设
export function timeSubmit(data) {
  return request({
    url: `/radio/tPresetContent/edit/scene`,
    method: "post",
    data,
  });
}

// 删除场景预设
export function removeScene(query) {
  return request({
    url: `/radio/tPresetContent/deleteById`,
    method: "get",
    params: query,
  });
}

// 场景预设详情
export function timeDetail(query) {
  return request({
    url: `/radio/tPresetContent/queryDetailById`,
    method: 'get',
    params: query
  })
}